#define ENABLE_INT asm popf
#define DISABLE_INT asm{pushf; cli}

struct pdt_type
{
 unsigned char         typ;
 unsigned char         lengt;
 unsigned int          proc_num;
 unsigned int          prg_number;
 unsigned char         version;
 unsigned char         revision;

 unsigned char         cpu_type;
 unsigned char         coproz_type;
 unsigned char         language;
 unsigned char         prg_type;

 unsigned int          flags;
 unsigned int          interrupt_num;

 unsigned long         data_adr;
 unsigned long         data_size;
 unsigned long         data_min;
 unsigned long         data_max;

 unsigned long         parameter_adr;
 unsigned int          parameter_size;

 unsigned long         hyper_adr;
 unsigned int          res1;
 unsigned long         res2;

 void                  (*main_proc)();                        // 0
 void                  (*auto_init)();                        // 1
 void                  (*start)();                            // 2
 void                  (*stop)();                             // 3
}pdt;

struct parameter_type
{
 tdt_type              tdt;
 unsigned char         status;
 unsigned short        error;
 unsigned char         microslot;
 unsigned short        tasknum;
 unsigned short 		  counter;
}parameter;


void auto_init(void);
void main_task(void);
void start(void);
void stop(void);
